

@{section header}

<title> شبکه های اجتماعی کاربر</title>
<link href="../../../css/user.css" rel="stylesheet" />

<link href="../../../css/StyleSheet_profile.css" rel="stylesheet" />


@{end}



@{view('~../modules/https_modules/users/views/partial/userMEDIA',model.data)}

@{section footer}

  <script type="text/javascript">


function show_res(result){
    switch(result.status){
     case 200:
            $(".usermedia.deactive").each(function(){
                $(this).remove();
            });
            Hnotification({status:"success",Cstyle:[{color:"#000000"}],Ctext:result.data});
      break;
        default:
            Hnotification({status:"warning",Cstyle:[{color:"#000000"}],Ctext:result.data});
      break;
    }
}



var opensubmit=[0,0,0,0,1,1,0,0,1,1,1,1,1,1,1,1];






$(document).ready(function(){
    


   /*$("#updmedia").click(async function(){
        var lst=[];
        var id=window.location.href.split("/");
        id=id[id.length-1];
        alert(id);
        $(".usermedia").each(function(){
            var icon=$(this).find(".icon").eq(0).children().filter("b").eq(0).attr("class");
            var link=$(this).find("div>input[name='link']").eq(0).val();
            var title=$(this).find("div>input[name='title']").eq(0).val();
            lst.push({icon:icon,title:title,link:link});
        });
        lst = JSON.stringify(lst);
        lst=encodeURIComponent(lst);
        var query="obj="+lst+"&id="+id;
        var res=await jqajax('/user/media/update/',query,"get","loader");
        show_res(res); 
    });*/


    $("#updmedia").click(async function(){
        var lst=[];
        var id=window.location.href.split("/");
        id=id[id.length-1];
        $(".usermedia").not(".deactive").find(".user-view-media .data").each(function(){
            var icon=$(this).children().eq(0).attr("class");
            var title=$(this).children().eq(1).text();
            var link=$(this).children().eq(2).text();
            if(icon!="" && link!="" && title!=""){
                lst.push({icon:icon,title:title,link:link});
            }else{
                Hnotification({status:"warning",Cstyle:[{color:"#000000"}],Ctext:"لطفا اطلاعات را کامل پر کنید !"});
                return false;
            }
        });
        lst = JSON.stringify(lst);
        lst=encodeURIComponent(lst);
        var query="obj="+lst+"&id="+id;
        var res=await jqajax('/user/media/update/',query,"get","loader");
        show_res(res); 
    });
    
});

</script>







@{end}







